Name:                libqb
Version:             2.0.6
Release:             2
Summary:             Library providing high performance logging, tracing, ipc, and poll
License:             LGPLv2+
URL:                 https://github.com/ClusterLabs/libqb
Source0:             https://github.com/ClusterLabs/libqb/releases/download/v%{version}/%{name}-%{version}.tar.xz

Patch0:              connretry-recv.patch
Patch1:              CVE-2023-39976.patch

BuildRequires:       autoconf automake libtool check-devel doxygen gcc procps pkgconfig(glib-2.0)
BuildRequires:       git-core
# For doxygen2man
BuildRequires:       libxml2-devel make
%description
libqb provides high-performance, reusable features for client-server
architecture, such as logging, tracing, inter-process communication (IPC),
and polling.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .connretry-recv.patch
%patch1 -p1 -b .CVE-2023-39976.patch

%build
./autogen.sh
%configure --disable-static
%{make_build}

%check
make check V=1

%install
%{make_install}
find $RPM_BUILD_ROOT -name '*.la' -delete
rm -rf $RPM_BUILD_ROOT/%{_docdir}/*
%ldconfig_scriptlets

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release} pkgconfig
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        help
Summary:        help documents for libqb package
Buildarch:      noarch
%description    help
help documents for libqb package

%package -n     doxygen2man
Summary:        Program to create nicely-formatted man pages from Doxygen XML files
Requires:       %{name} = %{version}-%{release}

%description -n doxygen2man
This package contains a program to create nicely-formatted man pages from Doxygen XML files

%files
%license COPYING
%{_sbindir}/qb-blackbox
%{_libdir}/libqb.so.*
%{_mandir}/man8/qb-blackbox.8*

%files          devel
%doc README.markdown
%{_includedir}/qb/
%{_libdir}/libqb.so
%{_libdir}/pkgconfig/libqb.pc
%{_mandir}/man3/qb*3*

%files          help
%{_mandir}/man8/qb-blackbox.8*
%{_mandir}/man3/qb*3*

%files -n       doxygen2man
%{_bindir}/doxygen2man
%{_mandir}/man1/doxygen2man.1.gz

%changelog
* Mon Aug 14 2023 liningjie <liningjie@xfusion.com> - 2.0.6-2
- fix CVE-2023-39976

* Mon Feb 27 2023 li-long315 <lilong@kylinos.cn> - 2.0.6-1
- Upgrade to 2.0.6

* Fri Apr 08 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 2.0.0-1
- Upgrade to 2.0.0

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 1.0.5-3
- DESC: delete -S git_am from %autosetup, and delete BuildRequires git-core

* Thu Mar 4 2021 baizhonggui <baizhonggui@huawei.com> - 1.0.5-2
- new add #include <stddef.h> in qblist.h to fix:
  issue# https://gitee.com/src-openeuler/corosync/issues/I39X3F?from=project-issue
  upstream link:https://github.com/ClusterLabs/libqb/pull/384

* Thu Feb 25 2021 sunguoshuai <sunguoshuai@huawei.com> - 1.0.5-1
- upgrade to 1.0.5

* Fri Feb 5 2021 yangzhuangzhuang <yangzhuangzhuang1@huawei.com> - 1.0.3-7
- Fix CVE-2019-12779 libqb before 1.0.5 allows local users to overwrite arbitrary files via a symlink attack.
  CVE Link: https://nvd.nist.gov/vuln/detail/CVE-2019-12779
  Community Patch Link:
  https://github.com/ClusterLabs/libqb/commit/e322e98dc264bc5911d6fe1d371e55ac9f95a71e
  https://github.com/ClusterLabs/libqb/commit/7cd7b06d52ac80c343f362c7e39ef75495439dfc
  https://github.com/ClusterLabs/libqb/commit/6a4067c1d1764d93d255eccecfd8bf9f43cb0b4d

* Fri Jun 19 2020 wangerfeng <wangerfeng5@huawei.com> - 1.0.3-6
- Package init
